## python-ghostscript 0.8.1

=== Makefile ===

# create PNG projectlogo for project homepage
projectlogo.png: projectlogo.svg
	inkscape -z -f $< -e $@ --export-height=100

=== requirements.txt ===
setuptools >= 38.6.0
wheel
tox
twine

## python-ghostscript 0.7

=== debian/changelog ===
python-ghostscript (0.7-3) unstable; urgency=medium

  * Remove an unnecessary dependency on python3-pkg-resources.
    (Closes: #1083642)
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Elena Grandi <valhalla@debian.org>  Tue, 03 Dec 2024 14:19:44 +0100

python-ghostscript (0.7-2) unstable; urgency=medium

  * Document upstream origin of the patches.
  * Add basic UMEGAYA.

 -- Elena Grandi <valhalla@debian.org>  Tue, 05 Dec 2023 10:44:47 +0100

python-ghostscript (0.7-1) unstable; urgency=medium

  * Initial release. (Closes: #1050010)
  * Backported commits f2eaf4c9 and 6071669b from upstream.

 -- Elena Grandi <valhalla@debian.org>  Fri, 18 Aug 2023 14:26:02 +0200

=== debian/control ===
Source: python-ghostscript
Maintainer: Elena Grandi <valhalla@debian.org>
Section: python
Priority: optional
Build-Depends:
 dh-python,
 python3-setuptools,
 python3-all,
 debhelper-compat (= 13),
 ghostscript,
 python3-pytest,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/pdftools/python-ghostscript
Vcs-Git: https://salsa.debian.org/python-team/packages/python-ghostscript.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ghostscript

Package: python3-ghostscript
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ghostscript,
Description: Python-Interface to the Ghostscript C-API
 Ghostscript is a well known interpreter for the PostScript language and
 for PDF. This package implements a interface to the Ghostscript C-API
 using ctypes. Both a low-level and a pythonic, high-level interface are
 provided.

## python-ghostscript 0.8.1

=== debian/changelog ===
python-ghostscript (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches that have been merged upstream.
  * Bump Standards-Version to 4.7.2 (no changes needed).
  * Build with PEP-517 standard interfaces natively.
  * Added autopkgests.

 -- Elena Grandi <valhalla@debian.org>  Fri, 22 Aug 2025 14:16:19 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Build-Depends:
  dh-python,
  python3-setuptools,
+ pybuild-plugin-pyproject,
  python3-all,
  debhelper-compat (= 13),
  ghostscript,
  python3-pytest,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/pdftools/python-ghostscript
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-ghostscript.git

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.10.0 at
# Fri, 18 Aug 2023 12:04:49 +0200
export PYBUILD_NAME=ghostscript
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -ex; for python in $(shell py3versions -r); do \
		PYTHONPATH=$(CURDIR)/build/lib $$python -m pytest ;\
	done
endif

=== debian/tests/control ===
Tests: autodep8
Depends:
 @,
 python3-all,
Restrictions: allow-stderr

Tests: unittests
Depends:
 @,
 python3-all,
 ghostscript,
 python3-pytest,
Restrictions: allow-stderr

=== debian/watch ===
# please also check http://pypi.debian.net/ghostscript/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/ghostscript/ghostscript-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
